# List history
Source: https://docs.mserve.ai/docs/api-reference/voice/get-history

Method: GET /elevenlabs/v1/history
Base URL: https://api.mserve.ai

```json
{
  "path": "/elevenlabs/v1/history",
  "method": "GET",
  "summary": "List history",
  "operationId": "el_history_elevenlabs_v1_history_get",
  "parameters": [
    {
      "name": "page_size",
      "in": "query",
      "required": false,
      "schema": {
        "type": "integer",
        "default": 100,
        "title": "Page Size"
      }
    },
    {
      "name": "start_after_history_item_id",
      "in": "query",
      "required": false,
      "schema": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "null"
          }
        ],
        "title": "Start After History Item Id"
      }
    },
    {
      "name": "voice_id",
      "in": "query",
      "required": false,
      "schema": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "null"
          }
        ],
        "title": "Voice Id"
      }
    },
    {
      "name": "authorization",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Authorization"
      }
    },
    {
      "name": "xi-api-key",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Xi-Api-Key"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful Response",
      "content": {
        "application/json": {
          "schema": {}
        }
      }
    },
    "422": {
      "description": "Validation Error",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/HTTPValidationError"
          }
        }
      }
    }
  },
  "tags": [
    "Voice"
  ]
}
```